Subject: Re: FVWM: A problem with EdgeResistance, EdgeScroll (fvwn 2.1.45)

From: Brad Giaccio <[email-masked]>
Date: Thu, 17 Dec 1998 13:29:39 -0500 (EST)

If I recall when bug #65 was reported Dominik said he couldn't recreate
it.  Maybe I can clean up the language to help.

Start up fvwm 
Assuming the rc never has you leave Desk 0 Page 0 0
Then move your mouse to the borders of the viewport 
you will see a resize cursor (or at least I do which is odd) but it won't
move the viewport to the next page
Now use whatever key you have bound to Scroll you around 
When you get to the new page the mouse works as normal.
I have noticed it on startups and restarts.  Which suggests that it is
somewhere in the start code, since recapture doesn't seem to display the
behavior

Brad

On Thu, 17 Dec 1998, Mark Crocker wrote:

> On Thu, 17 Dec 1998 09:34:25 +0100, "Philippe BOURDEU d'AGUERRE" <[email-masked]> wrote:
> 
> > Hello, With a former release (2.0.45), I had :
> 
> > EdgeResistance 250 50 EdgeScroll 0 0
> 
> > This allows me : to switch from one page to another by moving a
> > window across border of screen to NOT have automatic scrolling when
> > mouse reaches border of screen.
> 
> > With fvwn 2.1.45, this behaviour seems to be impossible despite the
> > man page:
> 
> > 	  Note that, with "EdgeScroll 0 0", it is still possible to
> > move or resize windows across the edge of the current screen.  By
> > making the first parameter to EdgeResistance 10000 this type of
> > motion is impossible. With EdgeResistance less than 10000 but
> > greater than 0 moving over pages becomes difficult but not
> > impossible.
> 
> > This behaviour was very useful for new users. I use Solaris 2.5.1
> 
> I have a similar problem (see bug report message id 65) with edge
> scroll.  
> 
> On my system, the edge scroll does work, but only going up or to the
> left.  Since my setup automatically starts in the upper left "page",
> it appears that edge scroll doesn't work at all, but when in a page
> that has another page above or to the left of it, I can edgescroll in
> that direction.  Moving windows across page boundaries also works in
> only two of the four directions.  Please try all directions to see if
> you are able to use some, but not all directions like I can.
> 
> This does NOT occur with our UltraSPARC machines running Solaris.
> This also did NOT occur with fvwm 2.0.46.
> 
> 	mcrocker@mcrocker/home/mcrocker> uname -r
> 	4.1.3_U1
> 
> -----------------------------------------------------------------------------
> 	   Mark Crocker (Micron Technology Inc., Product Engineer)
>               [email-masked]   |    (208) 368-3525
> -----------------------------------------------------------------------------
> --
> Visit the official FVWM web page at <URL: http://fvwm.math.uh.edu/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 

-- 
--- There are two kinds of knowledge, you either know the answer or
			you know where to find it
		      -Kane, Johnson, and anonymous

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 17 Dec 1998 23:15:07 +0100

> somewhere in the start code, since recapture doesn't seem to display the

Sorry, I did mention that I can't recreate it, didn't I? I need the config
file before I can do anything.

Bye

Dominik
-- 
Dominik Vogt, [email-masked]
Reply-To: [email-masked]